Subject: Re: [Teas] consideration of 1 VPN to N VNs mapping

From: Qin Wu <[email-masked]>
Date: Wed, 5 Aug 2020 13:15:13 +0000

Hi,
-----邮件原件-----
发件人: Ogaki, Kenichi [mailto:[email-masked]] 
发送时间: 2020年8月5日 8:59
收件人: 'Dhruv Dhody' <[email-masked]>
抄送: '宮坂 拓也' <[email-masked]>; '丹羽 朝信' <[email-masked]>; [email-masked]; 'TEAS WG' <[email-masked]>
主题: RE: [Teas] consideration of 1 VPN to N VNs mapping

Hi Dhruv,

Thanks for the prompt reply.

>There is an 'end-to-end leaf' that says bandwidth reservation needs to be done in MPLS network but I did not interpret that it requires maintaining a separate VN, the consolidated requirements from all classes can be mapped to a single VN and the QoS is applied at the edges as per the L3SM YANG.

As you saw in section 6.12.3.2, the properties of custom qos-profile include latency, and we honestly want the per-flow, classification rule, based VN mapping mechanism.

[Qin]: Kenichi, thanks for heads up.
RFC8299 allow you specify site level QoS parameters and site-network-access level QoS parameters. Each site-nework-access can support different QoS parameters matching one or multiple traffic flows.
These QoS parameters don't need to tie with specific CE-PE connectivity. It could be used to describe end to end QoS requirements from one site to another site or one site to multiple destination sites using target-site leaf-list under match-flow definition.
However RFC8299 doesn't describe 1 to 1 relation between target-class-id and standard-profile, it could be N to 1 relation.
standard profile (such as golden, silver) can not be simply seen as network performance constraint. QoS parameters in custom profile (e.g., latency) should be seen as SLA contract set between customer and operator, which is still a little different from network performance constraints used for path computation.

Secondly, we can map one VPN into one VN with multiple VN members, each VN member describe connective from one site to another destination site and can support different QoS requirement which is similar to using site-network-access to support different QoS requirements.
Does this satisfy your use case?

>Anyways, let me get this verified from L3SM experts and come back to you.

Your colleague and one of co-editors of both te-service-mapping and RFC8299, Qin Wu, is familiar with this discussion like this:
https://mailarchive.ietf.org/arch/msg/l3sm/i5srx8YpD9296bu3VuIkHgAEi3g/
Q.12 from David Ball

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, August 4, 2020 7:54 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 宮坂 拓也 <[email-masked]>; 丹羽 朝信 <[email-masked]>; [email-masked]; TEAS WG ([email-masked]) <[email-masked]>
Subject: Re: [Teas] consideration of 1 VPN to N VNs mapping

Hi Kenichi,

I have not looked into it in detail but my understanding of the classes in the custom qos-profile is that they are about the access CE-PE link and thus would not lead to the creation of a separate VN per class.

Even in the example
https://tools.ietf.org/html/rfc8299#section-6.12.3.2 it says how the
100 Mbps on the access link is shared between the 3 classes.

There is an 'end-to-end leaf' that says bandwidth reservation needs to be done in MPLS network but I did not interpret that it requires maintaining a separate VN, the consolidated requirements from all classes can be mapped to a single VN and the QoS is applied at the edges as per the L3SM YANG.

Anyways, let me get this verified from L3SM experts and come back to you.

Thanks!
Dhruv

On Tue, Aug 4, 2020 at 3:29 PM Ogaki, Kenichi <[email-masked]> wrote:
>
> Hi draft-ietf-teas-te-service-mapping-yang authors,
>
> Could you consider 1 to N mapping for the L3VPN to VN mapping?
>
> As we required some changes to actn-vn-yang before/during 108th meeting, we would like to also discuss an additional requirement to te-service-mapping-yang. Sorry, late for 108th meeting.
>
> If we correctly understand the current definition, only one VN is allowed to be mapped to a VPN as described in section 4.1 and the model in section 6.1.1.
> However, L3SM expects to differentiate traffic handling per qos-profile which corresponds to key network performance constraints including bandwidth and latency, etc. as described in section 6.12.3.2 of RFC8299.
> As an operator, we believe this means that a qos-profile should be mapped to a VN like this:
>
>    module: ietf-l3sm-te-service-mapping
>      augment /l3vpn-svc:l3vpn-svc/l3vpn-svc:vpn-services
>                /l3vpn-svc:vpn-service:
>        +--rw te-service-mapping!
>           +--rw te-mapping
>              +--rw mapping* [mapping-id]
>                 +--rw mapping-id
>                 +--rw target-class-id?        -> /l3vpn-svc:l3vpn-svc/vpn-profiles
>                 |                                  /valid-provider-identifiers/qos-profile-identifier
>                 |                                  /id
>                 +--rw map-type?               identityref
>                 +--rw availability-type?      identityref
>                 +--rw (te)?
>                    +--:(vn)
>                    |  +--rw vn-ref?           -> /vn:vn/vn-list/vn-id
>                    +--:(te-topo)
>                    |  +--rw vn-topology-id?   te-types:te-topology-id
>                    |  +--rw abstract-node?
>                    |          -> /nw:networks/network/node/node-id
>                    +--:(te-tunnel)
>                       +--rw te-tunnel-list*   te:tunnel-ref
>
>
> Also, in L3SM, qos-profile can be locally defined under site-network-access and also mapped to classification rules defined there as described in 6.12.3.2/6.12.3.1. Then, te-service-mapping-yang should also map a VNAP to the local qos-profile even without vpn-service level mapping like this:
>
>      augment /l3vpn-svc:l3vpn-svc/l3vpn-svc:sites/l3vpn-svc:site
>                /l3vpn-svc:site-network-accesses/l3vpn-svc:site-network-access
>                /l3vpn-svc:service/l3vpn-svc:qos/l3vpn-svc:qos-profile
>                /l3vpn-svc:profile:
>        +--rw (te)?
>           +--:(vn)
>              +--rw vn-ap-ref?
>                      -> /vn:ap/access-point-list/vn-ap/vn-ap-id
>
>      augment /l3vpn-svc:l3vpn-svc/l3vpn-svc:sites/l3vpn-svc:site
>                /l3vpn-svc:site-network-accesses/l3vpn-svc:site-network-access
>                /l3vpn-svc:service/l3vpn-svc:qos/l3vpn-svc:qos-profile/l3vpn-svc:classes
>                /l3vpn-svc:class:
>        +--rw (te)?
>           +--:(vn)
>              +--rw vn-ap-ref?
>                      -> /vn:ap/access-point-list/vn-ap/vn-ap-id
>
> Although we may consider the same requirement to L2SM mapping, from our service objectives, the current definition is enough for now.
>
> How do you think?
>
> Thanks in advance,
> Kenichi
>
> --
> Kenichi Ogaki
> KDDI Corp. | Operation Automation Promotion Dept.
> +81-(0)80-5945-9138 | www.kddi.com
>
>
>

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Thu, 6 Aug 2020 09:49:33 +0900

Hi Qin,

Thanks for your comments.

See comments [KO] inline, please.

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Qin Wu
Sent: Wednesday, August 5, 2020 10:15 PM
To: Ogaki, Kenichi <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>; [email-masked]
Subject: Re: [Teas] consideration of 1 VPN to N VNs mapping

Hi,
-----邮件原件-----
发件人: Ogaki, Kenichi [mailto:[email-masked]] 
发送时间: 2020年8月5日 8:59
收件人: 'Dhruv Dhody' <[email-masked]>
抄送: '宮坂 拓也' <[email-masked]>; '丹羽 朝信' <[email-masked]>; [email-masked]; 'TEAS WG' <[email-masked]>
主题: RE: [Teas] consideration of 1 VPN to N VNs mapping

Hi Dhruv,

[KO] What do you want to mean by? I believe that a target-class-id has 1:1 relationship to a standard-profile or a custom qos-profile.

[KO] We understand these definitions are not identical. However, from a (customer facing) service model level, we, operator, must choose and define SLA and network performance constraints to be mappable/translatable. If not so, we cannot provision the network lower than network model level to meet the SLA.
So, we need this mapping mechanism.

[KO] I see. If you mean that different VN member is set to different QoS profile even in the same site-network-access, our latter change request under site-network-access must be considered.
Also, our requirement to add the following groupings to vn-compute in actn-vn-yang presented? by Dhruv during 108th meeting must be slightly changed. These groupings are not added directly under vn-compute/input, but under each vn-compute/input/vn-member-list/vn-member.
uses te-types:generic-path-constraints
uses te-types:generic-path-optimization

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, August 4, 2020 7:54 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 宮坂 拓也 <[email-masked]>; 丹羽 朝信 <[email-masked]>; [email-masked]; TEAS WG ([email-masked]) <[email-masked]>
Subject: Re: [Teas] consideration of 1 VPN to N VNs mapping

Hi Kenichi,

Even in the example

Thanks!
Dhruv